﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <link href="~/theme/default/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>
    <script type="text/javascript">
        var OnMapCreating = function (map) {
            // By default, its size is (180,90), and you can modify it here, also you need to update the container width and height in olControlOverviewMapContainer css.
            OpenLayers.Control.OverviewMap.prototype.size = new OpenLayers.Size(180, 90);
        }
    </script>
    <style type="text/css">
        .olControlOverviewMapContainer
        {
            bottom: 0;
            position: absolute;
            left: 0;
            width: 208px;
            height: 110px;
        }
        
        .olControlOverviewMapExtentRectangle
        {
            background-image: url("img/blank.gif");
            border: 2px dotted blue;
            cursor: move;
            overflow: hidden;
        }
    </style>
    <script type="text/javascript">
        var tgMap;
        var OnMapCreated = function (map) {
            tgMap = map;
        }

        function minimizeControl() {
            var miniMapControl = tgMap.getControl("OverviewMap");
            // minimize control
            miniMapControl.minimizeControl();
        }

        function maximizeControl() {
            var miniMapControl = tgMap.getControl("OverviewMap");
            // maximiaze control
            miniMapControl.maximizeControl();
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="800px" Height="600px">
    </cc1:Map>
    <input type="button" id="minimize" value="minimize" onclick="minimizeControl();" />
    <input type="button" id="Button1" value="maximize" onclick="maximizeControl();" />
    </form>
</body>
</html>
